# WorldInitEvent (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.world, class: WorldInitEvent

Package org.bukkit.event.world

# Class WorldInitEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.WorldInitEvent

public class WorldInitEvent extends WorldEvent
Called when a World is initializing.

To get every world it is recommended to add following to the plugin.yml.

    load: STARTUP

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`WorldInitEvent(@NotNull World world)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorldInitEvent

public WorldInitEvent(@NotNull @NotNull World world)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()